#!/bin/bash
pipe=$1

function showError() {
  num=$( echo $1 | cut -d'|' -f1 )
  txt=$( echo $1 | cut -d'|' -f2 )
  if [ $num = 0 ]; then
    x='Yeah!'
  else
    x='Outch!'
  fi
  echo "
  $x I recived the error $num:
  $txt
  " 1>&2
}

echo Trying to set the attribute fill...  1>&2
echo setAttribute fill=\"red\"
showError "$( cat $pipe )"

echo Trying to get the rect4...  1>&2
echo selectElementById rect4
showError "$( cat $pipe )"

echo Trying to get the rect2...  1>&2
echo selectElementById rect2
showError "$( cat $pipe )"

echo Trying to set the attribute fill again...  1>&2
echo setAttribute fill=\"red\"
showError "$( cat $pipe )"
