#!/bin/bash

# To simulate how i think the Inkscape must give DOM access
# to an external script

echo '
  The user has cliqued on the "External DOM Test" efect.
  The interface is disabled for the user interaction...

  All the readed DOM commands gets an error response
  <error num>|<error text>
  No error returns something like this:
  0|Ok
'

idList='#rect1#rect2#path1#'
selId=''

pipe=/tmp/testingExternalDOM
mkfifo $pipe 2>/dev/null

./externalDOM.sh $pipe | while read comm; do

#### selectElementById ##############################################
if echo $comm | grep -q '^selectElementById '; then
  if echo $idList | grep -q "#$( echo $comm | cut -d' ' -f2 )#"; then
    selId=$( echo $comm | cut -d' ' -f2 )
    echo "0|Ok, element $selId selected" > $pipe
  else
    selId=''
    echo "1|The id $( echo $comm | cut -d' ' -f2 ) do not existis" > $pipe
  fi
fi

#### setAttribute ###################################################
if echo $comm | grep -q '^setAttribute '; then
  if [ "$selId" != "" ]; then
    echo "0|Ok, attribute $( echo $comm | cut -d' ' -f2 ) seted in $selId" > $pipe
  else
    echo "2|Ups... no element selected" > $pipe
  fi
fi

done

echo 'Nice! The "External DOM Test" ends.'
